Use /// to remove hostname element

Bug #1231444 reported by Ted Gould on 2013-09-26
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Bluetooth Menu
Fix Released
Low
Charles Kerr
Indicator Date and Time
Fix Released
Low
Charles Kerr
Indicator Location
Fix Released
Low
Charles Kerr
Network Menu
Fix Released
Undecided
Ted Gould
The Sound Menu
Fix Released
Low
Ted Gould
URL Dispatcher
Fix Released
Undecided
Ted Gould
indicator-power
Fix Released
Undecided
Ted Gould
indicator-bluetooth (Ubuntu)
Undecided
Unassigned
indicator-datetime (Ubuntu)
Undecided
Unassigned
indicator-location (Ubuntu)
Undecided
Unassigned
indicator-network (Ubuntu)
Undecided
Unassigned
indicator-power (Ubuntu)
Undecided
Unassigned
indicator-sound (Ubuntu)
Undecided
Unassigned
unity8 (Ubuntu)
High
Michał Sawicz
url-dispatcher (Ubuntu)
Undecided
Unassigned

Bug Description

The standard URL format (summarized) is $(protocol)://$(hostname)/$(stuff). Since most of the custom URLs we're using have no hostname, and QtUrl treats it specially, we need to ensure that it's not an issue. URL dispatcher was not enforcing this on some URLs, and needs to be adjusted to enforce. Others weren't specified that way, and they need to be changed.

Related branches

Ted Gould (ted) on 2013-09-26
Changed in url-dispatcher:
status: New → In Progress
assignee: nobody → Ted Gould (ted)
Charles Kerr (charlesk) on 2013-09-26
Changed in indicator-datetime:
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-bluetooth:
assignee: nobody → Charles Kerr (charlesk)
Changed in indicator-location:
assignee: nobody → Charles Kerr (charlesk)
Ted Gould (ted) on 2013-09-26
Changed in indicator-network:
assignee: nobody → Ted Gould (ted)
Changed in indicator-sound:
assignee: nobody → Ted Gould (ted)
Ted Gould (ted) on 2013-09-27
Changed in indicator-network:
status: New → In Progress
Changed in indicator-sound:
status: New → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-sound at revision 382, scheduled for release in indicator-sound, milestone Unknown

Changed in indicator-sound:
status: In Progress → Fix Committed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:url-dispatcher at revision 29, scheduled for release in url-dispatcher, milestone Unknown

Changed in url-dispatcher:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-sound - 12.10.2+13.10.20130930-0ubuntu1

---------------
indicator-sound (12.10.2+13.10.20130930-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * Use url-dispatcher instead of invoking system-settings directly.
    (LP: #1230819)

  [ Ted Gould ]
  * Update settings URL to settings:///system. (LP: #1231444)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 382
 -- Ubuntu daily release <email address hidden> Mon, 30 Sep 2013 06:33:10 +0000

Changed in indicator-sound (Ubuntu):
status: New → Fix Released
Sebastien Bacher (seb128) wrote :
Changed in indicator-sound:
importance: Undecided → Low
status: Fix Committed → Fix Released
Michał Sawicz (saviq) on 2013-10-01
Changed in unity8:
status: New → In Progress
assignee: nobody → Michał Sawicz (saviq)
milestone: none → phone-v1-freeze
importance: Undecided → High
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-network at revision 287, scheduled for release in indicator-network, milestone Unknown

Changed in indicator-network:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package url-dispatcher - 0.1+13.10.20131003-0ubuntu1

---------------
url-dispatcher (0.1+13.10.20131003-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Enfoce the ///. (LP: #1231444)
  * Make dispatcher more testable and add some application:/// tests.
  * Adding a calendar URL. (LP: #1231136)
  * Adding the alarm URL pattern. (LP: #1233176)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 32
 -- Ubuntu daily release <email address hidden> Thu, 03 Oct 2013 02:08:19 +0000

Changed in url-dispatcher (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2013-10-03
Changed in indicator-bluetooth:
importance: Undecided → Low
status: New → In Progress
Changed in indicator-datetime:
importance: Undecided → Low
status: New → In Progress
Charles Kerr (charlesk) on 2013-10-03
Changed in indicator-location:
importance: Undecided → Low
status: New → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-location at revision 49, scheduled for release in indicator-location, milestone Unknown

Changed in indicator-location:
status: In Progress → Fix Committed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-datetime at revision 264, scheduled for release in indicator-datetime, milestone Unknown

Changed in indicator-datetime:
status: In Progress → Fix Committed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-bluetooth at revision 66, scheduled for release in indicator-bluetooth, milestone Unknown

Changed in indicator-bluetooth:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-network - 0.5.1+13.10.20131004-0ubuntu1

---------------
indicator-network (0.5.1+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add network manager secret agent.
    * Interfaces with unity8's extended snap decisions.

  [ Charles Kerr ]
  * One-liner to set GETTEXT_PACKAGE explicitly because dh_translations
    can't handle ${CMAKE_PROJECT_NAME}. (LP: #1233679)

  [ Ted Gould ]
  * Drop Airplane Mode for Phone 1.0. (LP: #1232832)
  * Update settings URL to settings:///system. (LP: #1231444)
  * Remove icons that have made it into the theme.
  * Depend on XDG Python lib for the Apport hook. (LP: #1233138)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 291
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:29:39 +0000

Changed in indicator-network (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-location - 13.10.0+13.10.20131004-0ubuntu1

---------------
indicator-location (13.10.0+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * One-liner to set GETTEXT_PACKAGE explicitly because dh_translations
    can't handle ${CMAKE_PROJECT_NAME}. (LP: #1233679)
  * Update settings URL to settings:///system. (LP: #1231444)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 49
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:28:39 +0000

Changed in indicator-location (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2013-10-04
Changed in indicator-network:
status: Fix Committed → Fix Released
Changed in indicator-bluetooth:
status: Fix Committed → Fix Released
Changed in indicator-datetime:
status: Fix Committed → Fix Released
Changed in indicator-location:
status: Fix Committed → Fix Released
Charles Kerr (charlesk) on 2013-10-04
Changed in url-dispatcher:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-bluetooth - 0.0.6+13.10.20131004-0ubuntu1

---------------
indicator-bluetooth (0.0.6+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * Update settings URL to settings:///system. (LP: #1231444)

  [ Ted Gould ]
  * Flip the dependency list so that ubuntu-system-settings doesn't get
    pulled in.

  [ Sebastien Bacher ]
  * Don't list autogenerated files as translation sources.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 66
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:28:54 +0000

Changed in indicator-bluetooth (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-datetime - 13.10.0+13.10.20131004-0ubuntu1

---------------
indicator-datetime (13.10.0+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * Change the tablet time format string to remove leading zeroes from
    the hour component of the time format (ie, H:MM rather than HH:MM).
    (LP: #1234483)
  * on the phone, show appointments at 1AM as '1 AM', clock times as
    '1:00 AM'. (LP: #1220297)
  * Update settings URL to settings:///system. (LP: #1231444)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 264
 -- Ubuntu daily release <email address hidden> Fri, 04 Oct 2013 02:29:26 +0000

Changed in indicator-datetime (Ubuntu):
status: New → Fix Released
Changed in indicator-power:
assignee: nobody → Ted Gould (ted)
tags: added: qa-touch rls-s-incoming
Ted Gould (ted) on 2013-10-04
Changed in indicator-power:
status: New → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-power at revision 206, scheduled for release in indicator-power, milestone Unknown

Changed in indicator-power:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-power - 12.10.6+13.10.20131008-0ubuntu1

---------------
indicator-power (12.10.6+13.10.20131008-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Adding an additional slash to the settings URL. (LP: #1231444)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 206
 -- Ubuntu daily release <email address hidden> Tue, 08 Oct 2013 02:34:01 +0000

Changed in indicator-power (Ubuntu):
status: New → Fix Released
Charles Kerr (charlesk) on 2013-10-09
Changed in indicator-power:
status: Fix Committed → Fix Released
Michał Sawicz (saviq) on 2013-10-11
Changed in unity8:
status: In Progress → Fix Released
tags: added: doesnt-need-test
Michał Sawicz (saviq) on 2017-03-13
affects: unity8 → unity8 (Ubuntu)
Changed in unity8 (Ubuntu):
milestone: phone-v1-freeze → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers